The state of the LED: on (1), -- the LED is ON off (2) -- the LED is OFF
Sources for this description
Schneider Electric Transparent Factory official MIB
OID reference
1.3.6.1.4.1.3833.1.7.9.1.4
The state of the LED: on (1), -- the LED is ON off (2) -- the LED is OFF
Identification
{1 3 6 1 4 1 3833 1 7 9 1 4}
Definitions may combine these properties differently.
Numbers refer to source variants above. Each value is shown only for variants that define it. Notes below names come from selected MIB definitions.
| Value | Name and source notes | Source variants |
|---|---|---|
| 1 | on the LED is ON | 1, 2 |
| 2 | off the LED is OFF | 1, 2 |
| 3 | blinking the LED is blinking | 1, 2 |
At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.
In TFPRIVATE-MIB, the row index ledIndex is declared as INTEGER. A non-negative index value is encoded as one numeric subidentifier. An instance has the form .1.3.6.1.4.1.3833.1.7.9.1.4.<ledIndex>. Use an index value actually present on the device and permitted by its MIB. Other definitions can differ.
snmpwalk [connection options] DEVICE .1.3.6.1.4.1.3833.1.7.9.1.4
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Available source records contain 2 distinct definitions; some records may not include a definition.
ledState OBJECT-TYPE
SYNTAX INTEGER {
on (1), -- the LED is ON
off (2), -- the LED is OFF
blinking (3) -- the LED is blinking
}
ACCESS read-only
STATUS optional
DESCRIPTION
"The state of the LED:
on (1), -- the LED is ON
off (2) -- the LED is OFF"
::= { profileLedDisplayEntry 4 }ledState OBJECT-TYPE
SYNTAX INTEGER {
on (1), -- the LED is ON
off (2), -- the LED is OFF
blinking (3) -- the LED is blinking
}
MAX-ACCESS read-only
STATUS current
DESCRIPTION
"The state of the LED:
on (1), -- the LED is ON
off (2) -- the LED is OFF"
::= { profileLedDisplayEntry 4 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
The state of the LED: on (1), -- the LED is ON off (2) -- the LED is OFF
Schneider Electric Transparent Factory official MIB
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: optional.
Names: ledState
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"ledState",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"on",
"(",
"1",
")",
",",
"off",
"(",
"2",
")",
",",
"blinking",
"(",
"3",
")",
"}",
"ACCESS",
"read-only",
"STATUS",
"optional",
"DESCRIPTION",
"\"The state of the LED: on (1), -- the LED is ON off (2) -- the LED is OFF\"",
"::=",
"{",
"profileLedDisplayEntry",
"4",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"on",
1
],
[
"off",
2
],
[
"blinking",
3
]
]
]
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"optional"
],
[
"DESCRIPTION",
"The state of the LED: on (1), -- the LED is ON off (2) -- the LED is OFF"
],
null,
null,
null,
null
]
}Module: TFPRIVATE-MIB
See published definition above
{'IF-MIB': ['ifIndex'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'BRIDGE-MIB': ['BridgeId', 'dot1dStaticAddress'], 'RFC1155-SMI': ['IpAddress', 'Counter', 'TimeTicks', 'enterprises'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress', 'mib-2'], 'Q-BRIDGE-MIB': ['VlanIndex', 'dot1qVlanIndex', 'dot1qFdbId'], 'IANAifType-MIB': ['IANAifType']}Source data warning: Official Schneider Electric MIB distributed in the M580 support package. The package contains distinct historical editions; applicability to a specific device or firmware is not established by this file alone.
· Download Schneider Electric SchneiderTFE-V01-04.mib — M580 support packageRelated source files and packages:
Status in source: current.
Names: ledState
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"ledState",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"on",
"(",
"1",
")",
",",
"off",
"(",
"2",
")",
",",
"blinking",
"(",
"3",
")",
"}",
"MAX-ACCESS",
"read-only",
"STATUS",
"current",
"DESCRIPTION",
"\"The state of the LED: on (1), -- the LED is ON off (2) -- the LED is OFF\"",
"::=",
"{",
"profileLedDisplayEntry",
"4",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"on",
1
],
[
"off",
2
],
[
"blinking",
3
]
]
]
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"current"
],
[
"DESCRIPTION",
"The state of the LED: on (1), -- the LED is ON off (2) -- the LED is OFF"
],
null,
null,
null,
null
]
}Module: TFPRIVATE-MIB
See published definition above
{'SNMPv2-TC': ['PhysAddress', 'DisplayString'], 'SNMPv2-SMI': ['MODULE-IDENTITY', 'OBJECT-TYPE', 'OBJECT-IDENTITY', 'NOTIFICATION-TYPE', 'enterprises', 'IpAddress', 'Integer32', 'Counter32']}Source data warning: Official Schneider Electric MIB distributed in the M580 support package. The package contains distinct historical editions; applicability to a specific device or firmware is not established by this file alone.
· Download Schneider Electric SchneiderTFE_V03.01.mib — M580 support packageRegistration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.3833.1.7.9.1.1 | ledIndex | 0 | 0 | |
| 1.3.6.1.4.1.3833.1.7.9.1.2 | ledName | 0 | 0 | |
| 1.3.6.1.4.1.3833.1.7.9.1.3 | ledDescr | 0 | 0 |